Create AWS Data Source

Create a new data source from AWS data.

Returns a jobId that can be used to get the status from Get "Create AWS Data Source" Job Status.

This endpoint supports two valid request body formats:

📘

This endpoint starts a long-running job. For more information, see Job-based (asynchronous) endpoints.


Valid Authentication Methods

API Key Grants:

  • CloudEdit

OAuth 2.0 User Token and Account Token Scopes:

  • cloud.datasource

Create AWS Data Source from File

Body Params

ParameterTypeDescription
awsclijson.json file (required)The AWS-CLI-generated JSON file from which to create the new data source
displayNamestring (optional)When provided, the name to give the created data source. When not provided, the filename of the JSON file is used.

        curl 'https://api.lucid.app/dataSources/aws'\
          --request 'POST'\
          --header 'Authorization: Bearer <OAuth 2.0 Access Token>'\
          --header 'Lucid-Api-Version: 1'\
          --header 'content-type: multipart/form-data'



Create AWS Data Source from JSON Body

Body Params
string
required

The name to give the data source

string

The ID of the existing AWS credential to use to create the data source

string
required

The ID of the AWS account which contains the data from which to create the data source

regions
array of strings
required

The AWS regions which contain the data from which to create the data source. Use the "Get Supported AWS Regions" endpoint to see a list of all supported regions.

regions*
resourceSelection
array of strings

The AWS resources to include in the data source. Use the "Get Fully Supported AWS Resources" endpoint to see a list of all supported resources.

resourceSelection
Headers
string
required
Defaults to 1

The API version used in the request.

Responses

400

Bad Request. Occurs when no file is found or the file is invalid.

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json